For the complete documentation index, see llms.txt. This page is also available as Markdown.

NFT

The nft API provide users the entries to interact with the NFTs.

Update NFT

Update NFT token uri

The Update NFT token uri API provides users to update the nft token uri according to the contract address and the token_id.

Update NFT token uri

put
/v1/nft/{address}/{token_id}/tokenUri

Update NFT token uri

Authorizations
Path parameters
addressstringRequired

address

token_idstringRequired

token_id

Header parameters
AuthorizationstringRequired

Bearer Open_JWT

Body
chainstring · enumRequiredPossible values:
contract_typestring · enumRequiredPossible values:
token_uristringOptional
Responses
200

OK

application/json
block_reasoninteger · enumOptionalPossible values:
chainIdintegerOptional
chainTypeintegerOptional
created_atstringOptional
datastringOptional
epochHeightnumberOptional
epoch_numberintegerOptional
errorstringOptional
fromstringOptional
gasnumberOptional
gasCoveredBySponsorbooleanOptional
gasFeenumberOptional
gasPricenumberOptional
hashstringOptional
idintegerOptional
nonceintegerOptional
pending_reasonstringOptional
pre_hashsstringOptional
stageintegerOptional
stateinteger · enumOptionalPossible values:
statusintegerOptional
storageCollateralizednumberOptional
storageCoveredBySponsorbooleanOptional
storageLimitnumberOptional
taskTypeinteger · enumOptionalPossible values:
tostringOptional
tryReceiptCntintegerOptional
updated_atstringOptional
valuenumberOptional
put/v1/nft/{address}/{token_id}/tokenUri
PUT /v1/nft/{address}/{token_id}/tokenUri HTTP/1.1
Host: api.nftrainbow.cn
Authorization: text
Content-Type: application/json
Accept: */*
Content-Length: 63

{
  "chain": "conflux",
  "contract_type": "erc721",
  "token_uri": "text"
}
{
  "block_reason": 1,
  "chainId": 1,
  "chainType": 1,
  "created_at": "text",
  "data": "text",
  "deleted_at": {
    "time": "text",
    "valid": true
  },
  "epochHeight": 1,
  "epoch_number": 1,
  "error": "text",
  "from": "text",
  "gas": 1,
  "gasCoveredBySponsor": true,
  "gasFee": 1,
  "gasPrice": 1,
  "hash": "text",
  "id": 1,
  "nonce": 1,
  "pending_reason": "text",
  "pre_hashs": "text",
  "stage": 1,
  "state": -10,
  "status": 1,
  "storageCollateralized": 1,
  "storageCoveredBySponsor": true,
  "storageLimit": 1,
  "taskType": 1,
  "to": "text",
  "tryReceiptCnt": 1,
  "updated_at": "text",
  "value": 1
}
Name
Meaning
Param Type
Data Type

Authorization

Bearer Token

Header

string

Name
Meaning
Param Type
Data Type
Required

token_id

The id of the nft

Path

string

address

The address of the contract

Path

string

token_uri

The updated token uri

body

string

contract_type

The type of the contract, which includes erc721 and erc1155

body

string

chain

The type of the chain, which includes conflux and conflux_test

body

string

Name
Meaning
Type

created_at

The time of creating the item in the database

string

updated_at

The time of updating the item in the database

string

deleted_at

The time of deleting the item in the database

string

id

The id of the item in the database

integer

TaskType

The type of the item in the transaction. 1-deploy, 2-mint, 3-batch mint, 4-transfer, 5-batch transfer, 6-burn, 7-batch burn, 8-update admin, 9-sponsor balance, 10-sponsor privilege, 11-update token_uri

integer

ChainType

The type of the chain, 1-cfx, 2-eth

integer

ChainId

The type of the chain, 1-testnet, 1029-mainnet

integer

From

The sender of the transaction

string

To

The receiver of the transaction

string

Nonce

The nonce of the transaction

string

Value

The value of the transaction

string

Data

The data of the transaction

string

Hash

The hash of the transaction

string

State

The state of the transaction

integer

epoch_number

The epoch number of the transaction

integer

error

The error of the transaction

string

GasPrice

The gas price of the transaction

string

Gas

The used gas of the transaction

string

StorageLimit

The storage limit of the transaction

string

EpochHeight

The epoch height of the transaction

string

pending_reason

The pending reason of the transaction

string

Query NFT

Query specific NFT of specific account

The Query specific NFT of specific account API provides users to get the nft information according to the contract address and the token_id.

Get NFT info, mainly owner and metadata

get
/v1/nft/{address}/{token_id}

Get NFT info, mainly owner and metadata

Authorizations
Path parameters
addressstringRequired

address

token_idstringRequired

token_id

Header parameters
AuthorizationstringRequired

Bearer Open_JWT

Responses
200

OK

application/json
contract_addressstringOptional
ownerstringOptional
token_idstringOptional
token_uristringOptional
get/v1/nft/{address}/{token_id}
GET /v1/nft/{address}/{token_id} HTTP/1.1
Host: api.nftrainbow.cn
Authorization: text
Accept: */*
{
  "contract_address": "text",
  "owner": "text",
  "token_id": "text",
  "token_uri": "text"
}
Name
Meaning
Param Type
Data Type

Authorization

Bearer Token

Header

string

Name
Meaning
Param Type
Data Type
Required

token_id

The id of the nft

Path

string

address

The address of the contract

Path

string

type

The contract type: erc721, erc1155. Default is erc721

Query

string

Name
Meaning
Type

owner

The owner of the NFT

string

contract_address

The address of the contract

string

token_id

The id of the token

string

The token_id is a number like "123", which type is string. If the type parameter pass erc1155, the response's owner field will be empty.

Query NFT Hold count

Last updated